using System;
using System.Windows.Controls.Primitives;

namespace FSI.BT.Tools.Commands
{
    /// <summary>
    /// Shows the main window.
    /// </summary>
    public class TimeStampToClipboardCommand : CommandBase<TimeStampToClipboardCommand>
    {
        public override void Execute(object parameter)
        {
            System.Windows.Forms.Clipboard.SetDataObject(DateTime.Now.ToString(Global.Settings.TimeStampFormat));
            var balloon = new ToolTip()
            {
                BalloonText = "Zeitstempel",
                BalloonDesc = "Der aktuelle Zeitstempel wurde in die Zwischenablage kopiert."
            };
            Global.TaskbarIcon.ShowCustomBalloon(balloon, PopupAnimation.Slide, 2000);
        }

        public override bool CanExecute(object parameter)
        {
            return true;
        }
    }
}